## NAME

CURLOPT_IGNORE_CONTENT_LENGTH - ignore Content-Length in HTTP response

## SYNOPSIS

    #include <curl/curl.h>
     CURLcode curl_easy_setopt(CURL *handle, CURLOPT_IGNORE_CONTENT_LENGTH,
                               long ignore);

## DESCRIPTION

If ignore is set to 1, ignore the Content-Length header in the HTTP response. This is useful for Apache 1.x (and similar servers) which will report incorrect content length for files over 2 gigabytes. If this option is used, curl will not be able to accurately report progress, and will simply stop the download when the server ends the connection.

Only use this option if strictly necessary.

## DEFAULT

0

## PROTOCOLS

HTTP

## EXAMPLE

TODO

## AVAILABILITY

Added in 7.14.1

## RETURN VALUE

Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

## SEE ALSO

CURLOPT_HTTP_VERSION CURLOPT_MAXFILESIZE_LARGE

This HTML page was made with roffit.